## splitpatch 1.0+20190128+git3b2edf2

=== Makefile ===
#!/usr/bin/make -f
#
#   Copyright
#
#	Copyright (C) 2014 Jari Aalto <jari.aalto@cante.net>
#
#   License
#
#       This program is free software; you can redistribute it and/or modify
#       it under the terms of the GNU General Public License as published by
#       the Free Software Foundation; either version 2 of the License, or
#       (at your option) any later version.
#
#       This program is distributed in the hope that it will be useful,
#       but WITHOUT ANY WARRANTY; without even the implied warranty of
#       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#       GNU General Public License for more details.
#
#       You should have received a copy of the GNU General Public License
#       along with this program. If not, see <http://www.gnu.org/licenses/>.
#
#   Description
#
#       A Ruby program. Nothing to compile

ifneq (,)
This makefile requires GNU Make.
endif

PACKAGE		= splitpatch
VERSION		=

DESTDIR		=
prefix		= /usr
exec_prefix	= $(prefix)
man_prefix	= $(prefix)/share
mandir		= $(man_prefix)/man
bindir		= $(exec_prefix)/bin
sharedir	= $(prefix)/share

BINDIR		= $(DESTDIR)$(bindir)
DOCDIR		= $(DESTDIR)$(sharedir)/doc

# 1 = regular, 5 = conf, 6 = games, 8 = daemons
MANDIR		= $(DESTDIR)$(mandir)
MANDIR1		= $(MANDIR)/man1

INSTALL		= /usr/bin/install
INSTALL_BIN	= $(INSTALL) -m 755
INSTALL_DATA	= $(INSTALL) -m 644
INSTALL_SUID	= $(INSTALL) -m 4755

SRCS		= $(PACKAGE).rb

all: doc

clean:
	# clean
	-rm -f *[#~] *.\#*
	$(MAKE) -C man $@

distclean: clean

realclean: clean

doc:
	$(MAKE) -C man all

install-man: doc
	# install-man
	$(INSTALL_BIN) -d $(MANDIR1)
	$(INSTALL_DATA) man/*.1 $(MANDIR1)

install-bin:
	# install-bin
	$(INSTALL_BIN) -d $(BINDIR)
	$(INSTALL_BIN) $(PACKAGE).rb $(BINDIR)/$(PACKAGE)

install: install-bin install-man

.PHONY: all doc
.PHONY: clean distclean realclean install install-bin install-man

# End of file

=== man/Makefile ===
#!/usr/bin/make -f
#
#   Copyright
#
#	Copyright (C) 2014 Jari Aalto <jari.aalto@cante.net>
#
#   License
#
#       This program is free software; you can redistribute it and/or modify
#       it under the terms of the GNU General Public License as published by
#       the Free Software Foundation; either version 2 of the License, or
#       (at your option) any later version.
#
#       This program is distributed in the hope that it will be useful,
#       but WITHOUT ANY WARRANTY; without even the implied warranty of
#       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#       GNU General Public License for more details.
#
#       You should have received a copy of the GNU General Public License
#       along with this program. If not, see <http://www.gnu.org/licenses/>.
#
#   Description
#
#       Generate manual page form Perl POD file.

PACKAGE = splitpatch

all:
	$(MAKE) -f pod2man.mk PACKAGE=$(PACKAGE) makeman

clean:
	rm -f *.1

.PHONY: all

# End of file

## splitpatch 0.0+20130626+gitbd6a83d

=== debian/changelog ===
splitpatch (0.0+20130626+gitbd6a83d-1) unstable; urgency=low

  * Initial release (Closes: #711935).

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 11 Aug 2013 10:56:37 +0300

=== debian/control ===
Source: splitpatch
Section: text
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/debian.git
Vcs-Git: git://anonscm.debian.org/collab-maint/debian.git
Homepage: http://www.clearchain.com/blog/posts/splitting-a-patch

Package: splitpatch
Architecture: all
Depends: ${misc:Depends}, ruby
Description: split the patch up into files or hunks
 Divide a patch or diff file into pieces. The split can made by file
 or by hunk basis. This makes is possible to separate changes that
 might not be desireable or assemble the patch into more coherent set
 of changes.
 .
 The hunk option opens up possibility to compare similar patches
 hunk-by-hunk using tool like interdiff(1) from patchutils package.
 Operating on hunk level also gives more control, smilar to Git, to
 selectively shelve in changes e.g. to Version Control repository.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = splitpatch

man:
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE) makeman

override_dh_installman: man
	dh_installman

override_dh_auto_install:
	install -D -m 755 *.rb debian/$(PACKAGE)/usr/bin/splitpatch

%:
	dh $@

# End of file

=== debian/watch ===
version=3
# There is no version "tag". Just plain code. See debian/copyright and
# Download code manually.

## splitpatch 0.0+20131223+gitb13d810

=== debian/changelog ===
splitpatch (0.0+20131223+gitb13d810-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - (Standards-Version): Update to 3.9.5.
    - (Vcs-*): Correct URLs.
  * debian/patches
    - (10, 20): New. Add option like -h, --help etc.
    - (30): Include patch by Alexandr Agranovsky <alesso@alesso.ru>
      to zero pad consecutive patches.
  * debian/rules
    - (override_dh_installchangelogs): Install upstream log.
  * debian/upstream.changelog
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 15 Jun 2014 22:15:49 +0300

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.4
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/debian.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/debian.git
+Standards-Version: 3.9.5
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/splitpatch.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/splitpatch.git
 Homepage: http://www.clearchain.com/blog/posts/splitting-a-patch
 
 Package: splitpatch

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,10 @@
 
 man:
 	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE) makeman
+
+override_dh_installchangelogs:
+	# Git log from upstream repository
+	dh_installchangelogs debian/upstream.changelog
 
 override_dh_installman: man
 	dh_installman

## splitpatch 1.0+20160815+git13c5941

=== debian/changelog ===
splitpatch (1.0+20160815+git13c5941-1) unstable; urgency=medium

  * New upstream release (Closes: 807782).
  * debian/control
    - (Description): Fix typo.
    - (Homepage): Update.
    - (Standards-Version): Update to 3.9.8.
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/copyright
    - (Comment): New.
    - Update URLs.
  * debian/patches
    - Remove; all patches included in the upstream release.
  * debian/pod2man.mk
    - Make build reproducible (Closes: 797408).
      Patch thanks to Reiner Herrmann <reiner@reiner-h.de>.
  * debian/rules
    - (man) mark as .PHONY.
  * debian/watch
    - Add Github URL. (Closes: 807783). Patch thanks to Joao Eriberto Mota
      Filho <eriberto@debian.org>

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 22 Oct 2016 14:14:09 +0300

=== debian/control ===
Source: splitpatch
Section: text
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/splitpatch.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/splitpatch.git
Homepage: http://www.clearchain.com/blog/posts/splitting-a-patch

Package: splitpatch
Architecture: all
Depends: ${misc:Depends}, ruby
Description: split the patch up into files or hunks
 Divide a patch or diff file into pieces. The split can made by file
 or by hunk basis. This makes is possible to separate changes that
 might not be desirable or assemble the patch into more coherent set
 of changes.
 .
 The hunk option opens up possibility to compare similar patches
 hunk-by-hunk using tool like interdiff(1) from patchutils package.
 Operating on hunk level also gives more control, smilar to Git, to
 selectively shelve in changes e.g. to Version Control repository.

=== debian/rules ===
--- 
+++ 
@@ -18,4 +18,6 @@
 %:
 	dh $@
 
+.PHONY: man
+
 # End of file

=== debian/watch ===
version=3
https://github.com/benjsc/splitpatch/releases .*/release/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

## splitpatch 1.0+20170926+git322ebca

=== debian/changelog ===
splitpatch (1.0+20170926+git322ebca-1) unstable; urgency=medium

  * New upstream version 1.0+20170926+git322ebca.
  * New maintainer. (Closes: #920075)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * Using manpage from upstream. Consequently:
      - debian/manpages: updated.
      - debian/pod2man.mk: removed.
      - debian/splitpatch.1.pod: removed.
      - debian/rules: removed non needed lines.
  * No longer providing upstream changelog. Consequently:
      - debian/rules: removed non needed lines.
      - debian/upstream.changelog: removed.
  * debian/control:
      - Bumped Standards-Version to 4.3.0.
      - Changed VCS fields to Salsa.
  * debian/copyright:
      - Added rights for Benjamin Close and Jari Aalto.
      - Updated upstream and packaging copyright years.
      - Updated basic information.
  * debian/rules: simplified.
  * debian/tests/*: added to provide trivial tests.
  * debian/watch:
      - Added a new source.
      - Bumped version to 4.
      - Ignoring commits from Git.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 23 Jan 2019 23:47:36 -0200

=== debian/control ===
Source: splitpatch
Section: text
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.3.0
Homepage: http://www.clearchain.com/blog/posts/splitting-a-patch
Vcs-Browser: https://salsa.debian.org/debian/splitpatch
Vcs-Git: https://salsa.debian.org/debian/splitpatch.git

Package: splitpatch
Architecture: all
Depends: ${misc:Depends}, ruby
Description: split the patch up into files or hunks
 Divide a patch or diff file into pieces. The split can made by file
 or by hunk basis. This makes is possible to separate changes that
 might not be desirable or assemble the patch into more coherent set
 of changes.
 .
 The hunk option opens up possibility to compare similar patches
 hunk-by-hunk using tool like interdiff(1) from patchutils package.
 Operating on hunk level also gives more control, similar to Git, to
 selectively shelve in changes e.g. to Version Control repository.

## splitpatch 1.0+20190128+git3b2edf2

=== debian/changelog ===
splitpatch (1.0+20190128+git3b2edf2-5) unstable; urgency=medium

  * QA upload.
  * d/p/011_fix-ftbfs-with-ruby3.2.patch: replace File.exists? calls with
    File.exist?

 -- Lucas Kanashiro <kanashiro@debian.org>  Wed, 21 Feb 2024 23:12:15 -0300

splitpatch (1.0+20190128+git3b2edf2-4) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Apply multi-arch hints. + splitpatch: Add :any qualifier for ruby dependency.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 13 Oct 2022 13:34:09 +0100

splitpatch (1.0+20190128+git3b2edf2-3) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 02 Feb 2021 15:12:50 +0000

splitpatch (1.0+20190128+git3b2edf2-2) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - Added 'Rules-Requires-Root: no' in source stanza.
      - Bumped Standards-Version to 4.4.1.
  * debian/copyright: added rights for Thiago Andrade Marques.
  * debian/patches/010_reproducible-build.patch: added to
      fix an unreproducible condition. Thanks to Chris Lamb
      <lamby@debian.org>. (Closes: #944131)
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.

 -- Thiago Andrade Marques <thmarques@gmail.com>  Mon, 04 Nov 2019 20:37:29 -0300

splitpatch (1.0+20190128+git3b2edf2-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 1.0+20190128+git3b2edf2.
  * Set Debian QA Group as maintainer. (see #921434)
  * debian/patches/10_reproducible-build.patch: removed. The upstream fixed
    the source code.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 05 Feb 2019 14:58:12 -0200

splitpatch (1.0+20170926+git322ebca-2) unstable; urgency=medium

  * debian/patches/10_reproducible-build.patch: added to fix a unreproducible
    condition. Thanks to Chris Lamb <lamby@debian.org>. (Closes: #920409)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 27 Jan 2019 16:40:59 -0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: splitpatch
 Section: text
 Priority: optional
-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: http://www.clearchain.com/blog/posts/splitting-a-patch
 Vcs-Browser: https://salsa.debian.org/debian/splitpatch
 Vcs-Git: https://salsa.debian.org/debian/splitpatch.git
 
 Package: splitpatch
 Architecture: all
-Depends: ${misc:Depends}, ruby
+Depends: ${misc:Depends}, ruby:any
 Description: split the patch up into files or hunks
  Divide a patch or diff file into pieces. The split can made by file
  or by hunk basis. This makes is possible to separate changes that

=== debian/tests/control ===
Test-Command: splitpatch debian/tests/metacam.diff

Test-Command: splitpatch -H debian/tests/metacam.diff

=== debian/watch ===
version=4
opts=dversionmangle=s/\+\d+\+git.*// \
https://github.com/benjsc/splitpatch/releases .*/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

opts=dversionmangle=s/\+\d+\+git.*// \
https://github.com/jaalto/splitpatch/releases .*/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

## splitpatch 2025.0226

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
-#!/usr/bin/make -f
+# -*- mode: makefile-gmake; -*-
 #
 #   Copyright
 #
-#	Copyright (C) 2014 Jari Aalto <jari.aalto@cante.net>
+#	Copyright (C) 2014-2025 Jari Aalto <jari.aalto@cante.net>
 #
 #   License
 #
@@ -21,17 +21,27 @@
 #
 #   Description
 #
-#       A Ruby program. Nothing to compile
+#       Makefile to package, install and generate documentation.
+#	See "make help".
 
 ifneq (,)
 This makefile requires GNU Make.
 endif
 
+ifneq (,$(wildcard /etc/rc.conf))
+    OS = bsd
+    INSTALL_OPT_USE_SHORT = short
+endif
+
 PACKAGE		= splitpatch
+BIN		= bin/$(PACKAGE).rb
+
 VERSION		=
+MAKEFILE	= Makefile
 
 DESTDIR		=
-prefix		= /usr
+PREFIX		?= /usr
+prefix          = $(PREFIX)
 exec_prefix	= $(prefix)
 man_prefix	= $(prefix)/share
 mandir		= $(man_prefix)/man
@@ -45,40 +55,81 @@
 MANDIR		= $(DESTDIR)$(mandir)
 MANDIR1		= $(MANDIR)/man1
 
+MAKE_OPT_CHDIR    = --directory
+INSTALL_OPT_MODE  = --mode
+INSTALL_OPT_MKDIR = --directory
+
+ifneq (,$(INSTALL_OPT_USE_SHORT))
+    INSTALL_OPT_MODE  = -m
+    INSTALL_OPT_MKDIR = -d
+endif
+
 INSTALL		= /usr/bin/install
-INSTALL_BIN	= $(INSTALL) -m 755
-INSTALL_DATA	= $(INSTALL) -m 644
-INSTALL_SUID	= $(INSTALL) -m 4755
+INSTALL_BIN	= $(INSTALL) $(INSTALL_OPT_MODE) 755
+INSTALL_MMKDIR	= $(INSTALL) $(INSTALL_OPT_MODE) 755 $(INSTALL_OPT_MKDIR)
+INSTALL_DATA	= $(INSTALL) $(INSTALL_OPT_MODE) 644
+INSTALL_SUID	= $(INSTALL) $(INSTALL_OPT_MODE) 4755
 
-SRCS		= $(PACKAGE).rb
+RM		= rm --force
+LN		= ln --symbolic --relative
 
+# all - Call target 'doc'
+.PHONY: all
 all: doc
 
+.PHONY: help
+help:
+	awk '/^# [^ -]+ - / {sub("^# [^ -]+ - ", ""); print}' $(MAKEFILE) | sort
+
+# clean - Clean generated files
+.PHONY: clean
 clean:
 	# clean
-	-rm -f *[#~] *.\#*
-	$(MAKE) -C man $@
+	-rm --force *[#~] *.\#*
+	$(MAKE) $(MAKE_OPT_CHDIR) man $@
 
+# distclean - Clean all generated files
+.PHONY: distclean
 distclean: clean
 
+# realclean - Clean totally all generated files
+.PHONY: realclean
 realclean: clean
 
+# doc - Generate documentation
+.PHONY: doc
 doc:
-	$(MAKE) -C man all
+	$(MAKE) $(MAKE_OPT_CHDIR) man all
 
+# install-man - Install manual pages to MANDIR1
+.PHONY: install-man
 install-man: doc
 	# install-man
-	$(INSTALL_BIN) -d $(MANDIR1)
+	$(INSTALL_MKDIR) $(MANDIR1)
 	$(INSTALL_DATA) man/*.1 $(MANDIR1)
 
+# install-bin - Install program to BINDIR
+.PHONY: install-bin
 install-bin:
 	# install-bin
-	$(INSTALL_BIN) -d $(BINDIR)
-	$(INSTALL_BIN) $(PACKAGE).rb $(BINDIR)/$(PACKAGE)
+	$(INSTALL_MKDIR) $(BINDIR)
+	$(INSTALL_BIN) $(BIN) $(BINDIR)/$(PACKAGE)
 
+# install-bin - symlink program to BINDIR
+.PHONY: install-bin-symlink
+install-bin-symlink:
+	# install-bin
+	$(INSTALL_MKDIR) $(BINDIR)
+	$(LN) $(BIN) $(BINDIR)/$(PACKAGE)/
+
+# install - install program and manual pages
+.PHONY: install
 install: install-bin install-man
 
-.PHONY: all doc
-.PHONY: clean distclean realclean install install-bin install-man
+# uninstall - uninstall program and manual pages
+.PHONY: uninstall
+uninstall:
+	$(RM) $(BINDIR)/$(PACKAGE)
+	$(RM) $(MANDIR1)/$(PACKAGE).1
 
 # End of file

=== man/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
-#!/usr/bin/make -f
+# -*- mode: makefile-gmake; -*-
 #
 #   Copyright
 #
-#	Copyright (C) 2014 Jari Aalto <jari.aalto@cante.net>
+#	Copyright (C) 2014-2025 Jari Aalto <jari.aalto@cante.net>
 #
 #   License
 #
@@ -26,10 +26,10 @@
 PACKAGE = splitpatch
 
 all:
-	$(MAKE) -f pod2man.mk PACKAGE=$(PACKAGE) makeman
+	$(MAKE) --file pod2man.mk PACKAGE=$(PACKAGE) makeman
 
 clean:
-	rm -f *.1
+	rm --force *.1
 
 .PHONY: all

=== debian/changelog ===
splitpatch (2025.0226-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 2025.0226.
  * debian/clean: no longer needed. Removed.
  * debian/control:
      - Bumped DH level to 13.
      - Bumped Standards-Version to 4.7.0.
  * debian/copyright:
      - Added new upstream and packaging rights.
      - Converted the last paragraph of the GPL-2 in a comment.
      - Updated upstream and packaging copyright years.
  * debian/patches/:
      - Removed all patches because the upstream applied them.
          ~ 010_build-reproducible.patch
          ~ 011_fix-ftbfs-with-ruby3.2.patch
  * debian/rules: updated the .rb source.
  * debian/upstream/metadata: created.
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 16 Mar 2025 20:11:46 -0300

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: text
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: http://www.clearchain.com/blog/posts/splitting-a-patch
 Vcs-Browser: https://salsa.debian.org/debian/splitpatch

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	install -D -m 755 bin/*.rb debian/splitpatch/usr/bin/splitpatch

=== debian/tests/control ===
Test-Command: splitpatch debian/tests/metacam.diff

Test-Command: splitpatch -H debian/tests/metacam.diff

=== debian/watch ===
version=4
opts=dversionmangle=s/\+\d+\+git.*// \
https://github.com/jaalto/splitpatch/tags .*/v?(\d\S+)\.tar\.(?:bz2|gz|xz)
